### Home Classes Methods

### In Files

- lib/yajl.rb
- lib/yajl/gzip/stream_reader.rb
- lib/yajl/gzip/stream_writer.rb
- lib/yajl/bzip2/stream_reader.rb
- lib/yajl/bzip2/stream_writer.rb
- lib/yajl/deflate/stream_reader.rb
- lib/yajl/deflate/stream_writer.rb
- lib/yajl/http_stream.rb
- ext/yajl_ext.c

### Namespace

- MODULE Yajl::Bzip2
- MODULE Yajl::Deflate
- MODULE Yajl::Gzip
- MODULE Yajl::Stream
- CLASS Yajl::EncodeError
- CLASS Yajl::Encoder
- CLASS Yajl::HttpStream
- CLASS Yajl::ParseError
- CLASS Yajl::Parser

### Methods

- ::dump
- ::load

### Files

- README.rdoc
- Makefile

### Class/Module Index

Quicksearch

- Yajl
- Yajl::Bzip2
- Yajl::Bzip2::StreamReader
- Yajl::Bzip2::StreamWriter
- Yajl::Deflate
- Yajl::Deflate::StreamReader
- Yajl::Deflate::StreamWriter
- Yajl::EncodeError
- Yajl::Encoder
- Yajl::Gzip
- Yajl::Gzip::StreamReader
- Yajl::Gzip::StreamWriter
- Yajl::HttpStream
- Yajl::HttpStream::HttpError
- Yajl::HttpStream::InvalidContentType
- Yajl::ParseError
- Yajl::Parser
- Yajl::Stream
- JSON
- JSON::GeneratorError
- JSON::JSONError
- JSON::ParserError
- Array
- FalseClass
- Fixnum
- Float
- Hash
- Kernel
- NilClass
- Object
- String
- TrueClass

No matching classes.

# Yajl

Ruby bindings to the excellent Yajl (Yet Another JSON Parser) ANSI C library.

### Constants

VERSION

### Public Class Methods

dump(obj, *args, &block) click to toggle source

For compatibility, has the same signature of Yajl::Encoder.encode

    # File lib/yajl.rb, line 23
    def self.dump(obj, *args, &block)
      Encoder.encode(obj, args, &block)
    end

load(str_or_io, options={}, read_bufsize=nil, &block) click to toggle source

For compatibility, has the same signature of Yajl::Parser.parse

    # File lib/yajl.rb, line 18
    def self.load(str_or_io, options={}, read_bufsize=nil, &block)
      Parser.parse(str_or_io, options, read_bufsize, &block)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.